Upgrade from 2011 to 2015 fails

Use this forum for questions regarding installation, upgrading and configuration of OpenEMM

Moderator: moderator

dreamy
Posts: 19
Joined: Sat Aug 18, 2012 8:18 pm

Upgrade from 2011 to 2015 fails

Post by dreamy » Tue Jul 07, 2015 6:12 pm

Hello,

unfortunatly my Upgrade from v2011 to v2015 fails with the error:

Code: Select all

Unable to create new directory
I have tried the Bugfix #17 but it would fix my problem.

I like to upgrade to lastes version cause I need to transfer the data to a new Server. Would it be possible to install v2015 on the new Server and take my DB from the old with v2011?

Thanks!

maschoff
Site Admin
Posts: 2212
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: Upgrade from 2011 to 2015 fails

Post by maschoff » Tue Jul 07, 2015 6:38 pm

You can dump the old database with mysqldump, import it on the new machine and apply scripts update_openemm-2011-2013.sql and update_openemm-2013_R2-2015.sql to upodate the old database to the 2015 level.
OpenEMM Maintainer

Post Reply